Redmine - Defect #9064

Broken internal links in export wiki to html
2011-08-16 09:36 - Andrey Shevchenko

Status: Closed Start date: 2011-08-16
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 1.2.0
Description

Example:

page "Test"

hl. Test

(see [[Test#Configuration|configuration]])
h2. Configuration
To configure view use these methods:

Export to HTML:

<hl >Test<a href="#Test" class="wiki-anchor">g&para;</a></hl>

<p>(see <a href="configuration.html" class="wiki-page">configuration</a>)</p>

<a name="Configuration"></a>

<h2 >Configuration<a href="#Configuration" class="wiki-anchor">&para;</a></h2>

<p>To configure view use these methods:</p>

But expected result should contain

<a href="#Configuration" class="wiki-page">

instead of

<a href="configuration.html" class="wiki-page">

Related issues:

Is duplicate of Redmine - Defect #3276: Incorrect handling of anchors in Wiki...

Closed

2009-04-30

History

#1 - 2011-08-16 15:46 - Etienne Massip

- Target version set to Candidate for next minor release

Indeed.

#2 - 2011-10-02 16:24 - Etienne Massip
- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)
- Resolution set to Duplicate

Closed as duplicate of #3276.
https://www.redmine.org/issues/3276
http://www.tcpdf.org

